(function ($, window, Drupal, drupalSettings, undefined) {
  'use strict';
  
  Drupal.AjaxCommands.prototype.update_drm_options = function (ajax, response, status) {
    var elementId = response.elementId;
    var options = response.options;
    var select = document.getElementById(elementId);
    var wrapper = $(select).parent();
    
    var childs = select.getAttribute('data-child-dependencies');
    if (childs) {
      childs = childs.split(',');
      for (var k in childs) {
        var child = document.getElementById(childs[k]);
        if (child.options.length > 1) {
          child.options.length = 1;
        }
        child.disabled = true;
      }
    }
    
    select.options.length = 0;
    if (options.length > 0) {
      wrapper.show();
      for (var i = 0; i <= options.length; i++) {
        if (options.hasOwnProperty(i)) {
          select.options.add(new Option(options[i].value, options[i].key));
        }
      }
      
      if (select.options.length > 1) {
        select.removeAttribute('disabled');
      }
      else {
        select.disabled = true;
      }
      
      
      // var event = new Event('reset');
      // select.dispatchEvent(event);
    }
  };
  
  // Drupal.behaviors.dependantFields = {
  //   attach: function (context, settings) {
  //
  //     $('select[data-child-dependencies]').each(function (i) {
  //       var me = $(this);
  //       if (me.find('option:selected').val() == '_none') {
  //         var childs = me.attr("data-child-dependencies").split(",");
  //         for (var i = 0; i < childs.length; i++) {
  //           var childId = 'edit-' +childs[i]; // console.log("testing " +childId);
  //           var child = $('#'+childId);
  //           child.val('_none');
  //
  //           // if (child.find('option').length == 1) {
  //           //   // child.attr("disabled", "disabled");
  //           // }
  //           var wrapId = childId +'-wrapper'; // console.log("it's wrapper " + wrapId);
  //           $('#'+wrapId).hide();
  //         }
  //       }
  //     });
  //   }
  // };

})(jQuery, window, Drupal, drupalSettings);
